#========================================================================================
# package      DE_EPAGES::GoogleSmartShopping::UI::GoogleSmartShopping
# state        public
#----------------------------------------------------------------------------------------
# description  Onboarding UI Controller for GoogleSmartShopping
#========================================================================================
package DE_EPAGES::GoogleSmartShopping::UI::GoogleSmartShopping;
use base DE_EPAGES::BacklinkProvider::UI::Provider;

use DE_EPAGES::GoogleSmartShopping::API::GoogleSmartShoppingUrlBuilder;

use strict;

#========================================================================================
# function     BacklinkGoogleSmartShoppingOnboarding
# state        public
#----------------------------------------------------------------------------------------
# syntax       BacklinkGoogleSmartShoppingOnboarding( $Servlet );
#----------------------------------------------------------------------------------------
# description  Redirects to the right MBO page after onboarding.
#----------------------------------------------------------------------------------------
# input        $Servlet | Servlet | Servlet
#========================================================================================
sub BacklinkGoogleSmartShoppingOnboarding {
    my $self = shift;
    my ($Servlet) = @_;

    my $Form = $Servlet->form();
    my $hQueryParameters = $Form->queryValues();

    my $GoogleSmartShoppingUrlBuilder = DE_EPAGES::GoogleSmartShopping::API::GoogleSmartShoppingUrlBuilder->new();
    my $URL = $GoogleSmartShoppingUrlBuilder->buildRedirectToMboUrl($hQueryParameters);

    $self->_RedirectToURL($URL);

    return;
}


#----------------------------------------------------------------------------------------
# Private methods
#----------------------------------------------------------------------------------------
sub _RedirectToURL {
    my $self = shift;
    my ( $URL ) = @_;
    $self->SUPER::RedirectToURL( $URL );
    return;
}

1;
