#==============================================================================
# package      DE_EPAGES::GoogleSmartShopping::UI::GoogleSmartShoppingConfig
# state        private
#==============================================================================
package DE_EPAGES::GoogleSmartShopping::UI::GoogleSmartShoppingConfig;
use base DE_EPAGES::ProductPortal::UI::PortalConfig;

use strict;
use DE_EPAGES::Core::API::PerlTools qw (isValid);


#==============================================================================
sub Save {
    my $self    = shift;
    my $Servlet = shift;

    my $Form = $Servlet->form;
    my $DescriptionAttributeID = $Form->formValue('DescriptionAttribute');
    unless (isValid($DescriptionAttributeID) && $DescriptionAttributeID =~ /^\d+$/) {
        $Form->addFormError({
            'Form'  => 'GoogleSmartShoppingConfigSettings',
            'Reason'=> 'NoDescriptionAttribute',
            'Name'  => 'DescriptionAttribute'
        });
    }
    foreach my $field (qw(Login Password)) {
        if (!isValid($Form->formValue($field))) {
            $Form->addFormError({
                'Form'  => 'GoogleSmartShoppingConfigSettings',
                'Reason'=> 'MandatoryFieldMissing',
                'Name'  => $field
            });
        }
    }

    return $self->SUPER::Save($Servlet);
}

1;
